<!DOCTYPE html>
<html lang="en">
	<head>
		<title>NCPC | Email Form Submission</title>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width">
		<link rel="stylesheet" href="css/main.css" type="text/css">
		<!-- GoogleAnalytics Start -->
		<script>
			(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
			(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
			m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
			})(window,document,'script','https://www.google-analytics.com/analytics.js','ga');
			ga('create', 'UA-77951828-2', 'auto');
			ga('send', 'pageview');
		</script>
		<!-- /GoogleAnalytics End-->
		<!--[if lt IE 9]>
		<script src="js/html5.js"></script>
		<script src="js/selectivizr-min.js"></script>
		<link rel="stylesheet" href="css/ie.css" type="text/css">
		<![endif]-->
		<script src="js/jquery.min.js"></script>
		<script src="js/jquery.easing.1.3.js"></script>
		<script src="js/jquery-ui-1.8.16.custom.min.js"></script>
		<script src="js/all-in-one-min.js"></script>
		<script src="js/setup.js"></script>
	</head>
	<body>
		<header class="header_bg clearfix">
			<div class="container clearfix">
				<!-- Logo -->
				<div class="logo"><a href="index.html"><img src="images/NCPC-logo-new.png" alt="image"></a></div>
				<!-- /Logo -->
				<!-- Master Nav --> 
				<nav class="main-menu"><ul>
					<li><a href="index.html">Home</a></li>
					<li><a href="about.html">About Us</a><ul>
						<li><a href="cias.html">CIAS</a></li>
						<li><a href="teex-nerrtc.html">TEEX/NERRTC</a></li>
						<li><a href="cfia.html">CfIA</a></li>
						<li><a href="nuari.html">NUARI</a></li>
						<li><a href="cji.html">CJI</a></li>
					</ul></li>
					<li><a href="ccsmm.html">The CCSMM</a></li>
					<li><a href="courses.html">Courses</a></li>
					<li><a href="news.html">News</a></li></li>
					<li><a href="contact.html">Contact</a></li></ul>
				</nav>
				<!-- /Master Nav -->
			</div>
		</header>
		<!-- /Header -->
		<!-- START CONTENT -->
		<section class="container clearfix">
			<!-- Page Title -->
			<header class="container page_info clearfix">
				<h1 class="regular brown bottom_line">Email Form Submission</h1>
				<div class="clear"></div>
			</header>
			<!-- /Page Title -->
			<div class="container"><p>
<?php
if(isset($_POST['email'])) {

	// EDIT THE 3 LINES BELOW AS REQUIRED
	$email_to = "ncpccontactform@gmail.com";
	$email_subject = "NCPC Form Submission";
	$admin = "fox@st0rm.net";
	function died($error) {
		// your error code can go here
		echo "We are very sorry, but there were error(s) found with the form you submitted. ";
		echo "These errors appear below.</p><br /><br /><h2>";
		echo $error."</h2><br /><br /><p>";
		echo "Please go back and fix these errors.<br /><br />";
		echo "</p><br></div><div class=\"clear padding20\"></div><div class=\"clear\"></div></section><!-- END CONTENT --><!-- footer --><footer class=\"footer_bg_bottom clearfix\"><div class=\"footer_bottom container\"><div class=\"col_2_3\"><div class=\"clear padding20\"></div><p>&copy; Copyright 2016 National Cybersecurity Preparedness Consortium | All Rights Reserved.</p></div><div class=\"clear padding20\"></div></div></footer><!-- /footer --><!--wrapper end--></body></html>";
		die();
	}

	// validation expected data exists
	if(!isset($_POST['first_name']) ||
		!isset($_POST['last_name']) ||
		!isset($_POST['email']) ||
		!isset($_POST['telephone']) ||
		!isset($_POST['comments'])) {
		died('We are sorry, but there appears to be a problem with the form you submitted.');
	}


	function clean_string($string) {
		$bad = array("content-type","bcc:","to:","cc:","href","\"","'",";","#","\\",">");
		return str_replace($bad,"",$string);
	}

	$first_name = preg_replace("/\s/u","",clean_string($_POST['first_name'])); // required
	$last_name = preg_replace("/\s/u","",clean_string($_POST['last_name'])); // required
	$email_from = preg_replace("/\s/u","",clean_string($_POST['email'])); // required
	$telephone = preg_replace("/\s/u","",clean_string($_POST['telephone'])); // not required
	$comments = clean_string($_POST['comments']); // required

	$error_message = "";
	$email_exp = '/^.+@.*[A-Za-z]{2,63}$/';

	if((!preg_match($email_exp,$email_from))||(strlen($email_from)>80)) {
		$error_message .= 'The Email Address you entered does not appear to be valid:<p>'.$email_from.'</p><br />';
	}

	if((strlen($first_name)<2)||(strlen($first_name)>50)) {
		$error_message .= 'The First Name you entered does not appear to be valid:<p>'.$first_name.'</p><br />';
	}

	if((strlen($last_name)<2)||(strlen($last_name)>50)) {
		$error_message .= 'The Last Name you entered does not appear to be valid:<p>'.$last_name.'</p><br />';
	}
	
	if(strlen($telephone)>20){
		$error_message .= 'The Telephone Number you entered does not appear to be valid:<p>'.$telephone.'</p><br />';
	}

	if((strlen($comments)<2)||(strlen($comments)>1000)) {
		$error_message .= 'The Comments you entered do not appear to be valid:<p>'.$comments.'</p><br />';
	}

	if(strlen($error_message) > 0) {
		died($error_message);
	}
	$ip=$_SERVER['REMOTE_ADDR'];
	$ip2="";
	if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
		$ip2 = $_SERVER['HTTP_CLIENT_IP'];
	} elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
		$ip2 = $_SERVER['HTTP_X_FORWARDED_FOR'];
	}

	$email_message = "Form details are as follows.\r\n\r\n<br>";
	$email_message .= "Full Name: ".$first_name." ".$last_name."<br>\r\n";
	$email_message .= "Email Address: ".$email_from."<br>\r\n";
	$email_message .= "Telephone Number: ".$telephone."<br>\r\n";
	$email_message .= "IP Address(es): ".$ip."\t".$ip2."<br>\r\n";
	$email_message .= "Message: \r\n".$comments."<br>\r\n";

	// create email headers  -- Is there a way to ensure that these emails will get through the email quarantine filter on @utsa.edu email addresses? Maybe we need to talk to OIT about it.
	//$headers = 'From: "' . $first_name . ' ' . $last_name . '" <fox@st0rm.net>' . PHP_EOL .
	$headers = 'From: "' . $first_name . ' ' . $last_name . '" <contact@nationalcpc.org>' . PHP_EOL .
	//$headers = 'From: "' . $first_name . ' ' . $last_name . '" <' . $email_from . '>' . PHP_EOL .
	'Reply-To: ' . $email_from . PHP_EOL .
	'X-Sender: "' . $first_name . ' ' . $last_name . '" <' . $email_from . '>' . PHP_EOL .
	'X-Mailer: PHP/' . phpversion() . PHP_EOL .
	'X-Priority: 1' . PHP_EOL .
	'Return-Path: ' . $email_from . PHP_EOL .
	'MIME-Version: 1.0' . PHP_EOL .
	'Content-Type: text/html; charset=iso-8859-1';
	if(!@mail($email_to, $email_subject, $email_message, $headers)){
		@mail($admin,"NCPC Site Email Attempt Failed",$headers,'From: '.$admin.PHP_EOL.'Reply-To: '.$admin.PHP_EOL.'X-Mailer: PHP/'.phpversion());
		died("Error sending email. Please try again later.<br />");
	}
	echo "<h5>".$first_name." ".$last_name."</h5>";
	echo "<p>".$email_from."<br />";
	echo $telephone."<br />";
	echo $comments."</p>";
?>

<!-- include your own success html here -->

					<h1>Thank you for contacting us. We will be in touch with you very soon.</h1>
				</p>
				<br>
			</div>
			<div class="clear padding20"></div>
			<div class="clear"></div>
		</section>
		<!-- END CONTENT -->
		<!-- footer -->
		<footer class="footer_bg_bottom clearfix">
			<div class="footer_bottom container">
				<div class="col_2_3">
					<div class="clear padding20"></div>
					<p>&copy; Copyright 2016 National Cybersecurity Preparedness Consortium | All Rights Reserved.</p>
				</div>
				<div class="clear padding20"></div>
			</div>
		</footer>
		<!-- /footer -->
		<!--wrapper end-->
	</body>
</html>
<?php
}
?>